/*
 * Written by ireen <ireen@nownuri.net>
 *
 * $Revision: 1.2 $
 */

/*================================================
 *   PORT & CONTROL REGISTER ADDRESS
 */
#define PORT_A      0x318
#define PORT_B      0x319
#define PORT_C      0x31a
#define CTRL_REG    0x31b


/*================================================
 *  CONTROL WORDS
 */
#define AOBOCO      0x80
#define AOBOCOI     0x81
#define AOBICO      0x82
#define AOBICOI     0x83

#define AOBOCIO     0x88
#define AOBOCI      0x89
#define AOBICIO     0x8a
#define AOBICI      0x8b

#define AIBOCO      0x90
#define AIBOCOI     0x91
#define AIBICO      0x92
#define AIBICOI     0x93

#define AIBOCIO     0x98
#define AIBOCI      0x99
#define AIBICIO     0x9a
#define AIBICI      0x9b


/* ================================================
 *   SOME MODIFICATIONS, FUNCTIONS
 */
#ifdef __FreeBSD__
#define outport(portid, value)
#define inport(portid)              0
#else /* assumes as MS Windows */
#define outport(portid, value)      _outp(portid, value)
#define inport(portid)              _inp(portid)
#endif

#define init_8255(ctrl_wd)  outport(CTRL_REG, ctrl_wd)
#define mask_8255()         { outport(PORT_A, 0x00); \
                              outport(PORT_B, 0x00); \
                              outport(PORT_C, 0x00); }

#define clear_port(port)    outport(port, 0x00)

/*
 * $Id: 8255.h,v 1.2 2002/07/08 14:25:53 perky Exp $
 * ex: ts=8 sts=4 et
 */
